From 74f2c2e29d29ae374eff83a78236b1d01af7a7c2 Mon Sep 17 00:00:00 2001
From: Tails developers <tails@boum.org>
Date: Wed, 7 Jan 2015 10:31:40 +0000
Subject: [PATCH] Compute hashes after creating package lists and deleting
 timestamps.

Otherwise, the .binpkgs and .srcpkgs files are not included in the checksum
file, while the .{start,end}.timestamp are although we delete them.
---
 vagrant/provision/assets/build-tails |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/vagrant/provision/assets/build-tails b/vagrant/provision/assets/build-tails
index 223a94f..ea98bfc 100755
--- a/vagrant/provision/assets/build-tails
+++ b/vagrant/provision/assets/build-tails
@@ -125,10 +125,6 @@ as_root_do lb build
 
 if [ -n "$JENKINS_URL" ]; then
 	ISO=$(ls *.iso)
-	for file in tails-*; do
-		sha512sum "$file" >> "$ISO.shasum"
-	done
-	gpg --batch --detach-sign --armor "$ISO.shasum"
 
 	USER_ON_ACNG_HOST=jenkins
 	ACNG_HOST=apt-proxy.lizard
@@ -142,6 +138,11 @@ if [ -n "$JENKINS_URL" ]; then
 					      "$START_TIME" "$END_TIME" \
 					      "${ISO}.binpkgs" "${ISO}.srcpkgs"
 	rm "$ISO".*.timestamp
+
+	for file in tails-*; do
+		sha512sum "$file" >> "$ISO.shasum"
+	done
+	gpg --batch --detach-sign --armor "$ISO.shasum"
 fi
 
 mv -f tails-* "$ARTIFACTS_DIR"
-- 
1.7.10.4

